#ifndef __BITMAP_H__
#define __BITMAP_H__

#include <Image.h>

#ifdef WIN32

#include <windows.h>

HBITMAP CreateBitmap(IImage* pimgSrc, SIZE& sz);
HBITMAP CreateErrorBitmap(IImage* pimgSrc, double errthresh, COLORREF clr, SIZE& sz);
HBITMAP CreateMaskedBitmap(IImage* pimgSrc, IImage* pimgMask, COLORREF clr, SIZE& sz);

BOOL SaveBitmap(HBITMAP hbmp, LPCTSTR lpszFilename);

#endif

#endif